Bug 11784 - Patron images broken in Self checkout
Summary: Patron images broken in Self checkout
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P3 minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 10636
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-18 15:41 UTC by Marc Véron
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11784 - Patron images broken in Self checkout (2.30 KB, patch)
2014-02-18 16:23 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11784 - Patron images broken in Self checkout (2.39 KB, patch)
2014-02-18 16:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11784 - Patron images broken in Self checkout (2.35 KB, patch)
2014-02-19 11:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2014-02-18 15:41:03 UTC
Patron images do no longer display in self checkout.

I suppose this bug was introduced with Bug 10636:  patronimage should have borrowernumber as PK, not cardnumber

Patch follows, fixing sco-main.tt (bootstrap and prog)
Comment 1 Marc Véron 2014-02-18 16:23:09 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-02-18 16:41:11 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-19 11:26:13 UTC
Created attachment 25441 [details] [review]
Bug 11784 - Patron images broken in Self checkout

I suppose this bug was introduced with Bug 10636 (patronimage should
habe borrowernumber as PK, not cardnumber)

To test:
- Have a Patron with image. Configure everything to show image in SCO.
- Go to SCO and log in patron
- Image does not show up (broken link)
- Apply patch
- Test with prog, ccsr and bootstrap themes
- Image should display

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2014-02-19 11:27:07 UTC
Introduced by bug 10636
Comment 5 Galen Charlton 2014-02-19 17:16:31 UTC
Pushed to master.  Thanks, Marc!
Comment 6 Fridolin SOMERS 2014-05-19 15:03:44 UTC
Pushed to 3.14.x, will be in 3.14.07